﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Runtime.InteropServices;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WindowsFormsApp1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            var _btn = new Button();
            Controls.Add(_btn);
            _btn.Size = new Size(198, 36);
            _btn.Top = button1.Top - _btn.Height;
            _btn.Left = button1.Left;

            //MessageBox.Show(this.DeviceDpi.ToString());
            textBox1.AppendText(string.Format("{0}", DeviceDpi));
            textBox1.AppendText(Environment.NewLine);

            foreach (ToolStripItem _it in toolStrip1.Items)
            {
                textBox1.AppendText(string.Format("{0}: {1}", _it.Name, _it.Size));
                textBox1.AppendText(Environment.NewLine);
            }

            textBox1.AppendText(string.Format("{0}: {1}", textBox1.Name, textBox1.Size));
            textBox1.AppendText(Environment.NewLine);

            textBox1.AppendText(string.Format("{0}: {1}", button1.Name, button1.Size));
            textBox1.AppendText(Environment.NewLine);
        }

        private void Form1_DpiChanged(object sender, DpiChangedEventArgs e)
        {
            //MessageBox.Show(DeviceDpi.ToString());
            
            textBox1.AppendText(string.Format("{0} => {1}", e.DeviceDpiOld, e.DeviceDpiNew));
            textBox1.AppendText(Environment.NewLine);

            foreach (ToolStripItem _it in toolStrip1.Items)
            {
                textBox1.AppendText(string.Format("{0}: {1}", _it.Name, _it.Size));
                textBox1.AppendText(Environment.NewLine);
            }

            textBox1.AppendText(string.Format("{0}: {1}", textBox1.Name, textBox1.Size));
            textBox1.AppendText(Environment.NewLine);

            textBox1.AppendText(string.Format("{0}: {1}", button1.Name, button1.Size));
            textBox1.AppendText(Environment.NewLine);
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            c1DateEditNew.DpiChangedAfterParent += C1DateEditNew_DpiChangedAfterParent;
            //c1DateEditNew.ButtonImages.DropImage = Properties.Resources.OpenFolder;
        }

        private void C1DateEditNew_DpiChangedAfterParent(object sender, EventArgs e)
        {
            //c1DateEditNew.ButtonWidth = SystemInformation.VerticalScrollBarWidth;
        }
    }
}
